%define kdeprefix /opt/kde
%define version 1.1
%define kderelease 1
%define sourcedir stable/1.1/distribution/tar/generic/source
%define tag -1.1
%define topdirtag -1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define cc egcs
%define rh rh5x
%define redhat redhat-release >= 5.1
%define qt  qt >= 1.42 qt-egcs-10x

%define kdename kdetoys
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Toys
Version: %{version}
Release: %{kderelease}%{rh}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Group: X11/KDE/Games
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qt} %{redhat} kdebase-%{rh} 
Packager: Philip Long <plong@mitre.org>
Distribution: KDE
Vendor: The KDE Team
Prefix: %{kdeprefix}
%define packages moonphase worldwatch mousepedometer
%define moonphase kmoon
%define worldwatch kworldwatch
%define mousepedometer mouse
%define subdirs %{moonphase} %{worldwatch} %{mousepedometer}

%description
"Toys" for the K Desktop Environment. 
Included with this package are: "Kmoon" (moon phases), "Kworldwatch" (world 
map with daylight regions), and a "mouse-pedometer".

%package moonphase
Summary: K Desktop Environment - Toys - kmoon
Group: X11/KDE/Games
Obsoletes: kdetoys
Copyright: GPL
Prefix: %{kdeprefix}
%description moonphase
This is the application "kmoon" from the "kdetoys" collection of KDE \
applications. It places an icon showing the current phase of the moon in the 
KDE Desktop panel.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package worldwatch
Summary: K Desktop Environment - Toys - kworldwatch
Group: X11/KDE/Games
Obsoletes: kdetoys
Copyright: GPL
Prefix: %{kdeprefix}
%description worldwatch
This is the application "kworldwatch" from the "kdetoys" collection of KDE 
applications.  It shows a world map divided into current day/night regions, 
and reports the local and GMT time.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package mousepedometer
Summary: K Desktop Environment - Toys - mouse (kodo)
Group: X11/KDE/Games
Obsoletes: kdetoys
Copyright: GPL
Prefix: %{kdeprefix}
%description mousepedometer
This is the application "kodo" (alias "mouse") from the "kdetoys" collection 
of KDE applications.   It is a "mouse pedometer" which measures the total 
distance your mouse pointer travels across the computer screen.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

%build
export KDEDIR=%{kdeprefix}
CC=%{cc} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT
make 

%install

cd $RPM_BUILD_DIR/%{topdir}/po
rm -rf $RPM_BUILD_ROOT/*
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
rm -rf $RPM_BUILD_DIR/%{kdename}-po
mkdir $RPM_BUILD_DIR/%{kdename}-po
cp -a $RPM_BUILD_ROOT/* $RPM_BUILD_DIR/%{kdename}-po

for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{kdename}-po
        find . -name "$subdir*" | cpio -dpv $RPM_BUILD_ROOT       
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if [ "$package" = "moonphase" ] ; then pkgdirs="%{moonphase}"
	elif [ "$package" = "worldwatch" ] ; then pkgdirs="%{worldwatch}"
	elif [ "$package" = "mousepedometer" ] ; then pkgdirs="%{mousepedometer}"
	fi
	for subdir in $pkgdirs ; do
		tar -xvf $RPM_BUILD_DIR/$subdir.tar
		rm $RPM_BUILD_DIR/$subdir.tar
	done
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' \
		-e '/\/applnk\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done

cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
	tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done

cd $RPM_BUILD_DIR/%{topdir}
rm -rf $RPM_BUILD_ROOT%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{kdename}-po
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

%files moonphase -f ../file.list.%{kdename}.moonphase
%files worldwatch -f ../file.list.%{kdename}.worldwatch
%files mousepedometer -f ../file.list.%{kdename}.mousepedometer

%changelog
* Mon Feb 15 1999 <plong@mitre.org>
- Prefixed 'CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"' to ./configure
* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms
- individual apps in subpackages
